Task Creation
Create simple or recurring tasks
Creates a simple or a recurring task.
Send the access token as Authorization: Bearer <token>.
Send the access token as Authorization: Bearer <token>.
Short name of the workspace, as found in the URL of the back-office.
API version to apply. Defaults to v1.0 when omitted; an unknown value falls back to the latest version.
v1.3Possible values: Body for creating a task. Provide either submission_model_id or submissions.
Add recurrency for a recurring task (in which case due_date is optional).
Indicative display delay in seconds after the task's due time
Indicative display delay in seconds before the task begins
Due date (UNIX timestamp). Optional for a recurring task.
Task duration in seconds
Task start date (UNIX timestamp)
Identifier of a submission model
List of submission identifiers
Identifier of the assigned user
Task created
Deletion timestamp. Present only when the task has been deleted.
Indicative display delay in seconds after task completion time
Indicative display delay in seconds before the task begins
Due date (Unix timestamp)
Expected duration in seconds
Whether the linked submission's end-date field has been filled in.
Planned start date (Unix timestamp)
Whether the task is on time relative to its due date.
The payload is invalid.
Missing or invalid access token.
POST /{app_short}/tasks HTTP/1.1
Host: api.daxium-air.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 489
{
"delay_after": 1,
"delay_before": 1,
"due_date": 1,
"duration": 1,
"recurrency": {
"days": {
"ANY_ADDITIONAL_PROPERTY": {
"end": 1,
"start": "text"
}
},
"dayOfWeek": "text",
"end": {
"type": "occurrence",
"value": 1
},
"interval": 1,
"max_by_week": 1,
"min_by_week": 1,
"notDaysoff": true,
"numofday": 1,
"nth": 1,
"repeatEvery": 1,
"ruleMonth": "text",
"taskTiming": "text",
"type": "daily"
},
"start_date": 1,
"submission_model_id": "123e4567-e89b-12d3-a456-426614174000",
"submissions": [
"123e4567-e89b-12d3-a456-426614174000"
],
"user_id": 1
}{
"created_at": 1,
"deleted_at": 1,
"delay_after": 1,
"delay_before": 1,
"due_date": 1,
"duration": 1,
"fill_status": "filled",
"id": "123e4567-e89b-12d3-a456-426614174000",
"recurrency": {
"days": {
"ANY_ADDITIONAL_PROPERTY": {
"end": 1,
"start": "text"
}
},
"dayOfWeek": "text",
"end": {
"type": "occurrence",
"value": 1
},
"interval": 1,
"max_by_week": 1,
"min_by_week": 1,
"notDaysoff": true,
"numofday": 1,
"nth": 1,
"repeatEvery": 1,
"ruleMonth": "text",
"taskTiming": "text",
"type": "daily"
},
"start_date": 1,
"submission": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"structure_id": 1,
"structure_version": 1,
"items": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"channels": [
"text"
],
"user_id": 1,
"last_updated_user_id": 1,
"assigned_user": {},
"user": {},
"subscribers": [
"text"
],
"current_state": "123e4567-e89b-12d3-a456-426614174000",
"submission_number": 1,
"number_in_structure": 1,
"latitude": 1,
"longitude": 1,
"settings": {},
"task_id": "123e4567-e89b-12d3-a456-426614174000",
"data_created_at": 1,
"data_updated_at": 1,
"created_at": 1,
"updated_at": 1,
"deleted_at": 1,
"read_at": "2026-01-01T00:00:00.000Z"
},
"submission_model": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"structure_id": 1,
"structure_version": 1,
"items": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"channels": [
"text"
],
"user_id": 1,
"last_updated_user_id": 1,
"assigned_user": {},
"user": {},
"subscribers": [
"text"
],
"current_state": "123e4567-e89b-12d3-a456-426614174000",
"submission_number": 1,
"number_in_structure": 1,
"latitude": 1,
"longitude": 1,
"settings": {},
"task_id": "123e4567-e89b-12d3-a456-426614174000",
"data_created_at": 1,
"data_updated_at": 1,
"created_at": 1,
"updated_at": 1,
"deleted_at": 1,
"read_at": "2026-01-01T00:00:00.000Z"
},
"time_status": "normal",
"updated_at": 1,
"user_id": 1
}Last updated
Was this helpful?

